# phpMyAdmin SQL Dump
# version 2.5.6
# http://www.phpmyadmin.net
#
# Host: mysql.stud.ntnu.no
# Generation Time: Mar 21, 2007 at 02:42 PM
# Server version: 4.0.18
# PHP Version: 4.3.4
# 
# Database : `liselene_master`
# 

# --------------------------------------------------------

#
# Table structure for table `chokeposition`
#

DROP TABLE IF EXISTS `chokeposition`;
CREATE TABLE `chokeposition` (
  `id` int(11) NOT NULL auto_increment,
  `testcase` int(11) NOT NULL default '0',
  `time` int(11) NOT NULL default '0',
  `well` int(11) NOT NULL default '0',
  `position` int(11) NOT NULL default '0',
  `actuator` enum('operator','agent','instruction') NOT NULL default 'operator',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `permeability`
#

DROP TABLE IF EXISTS `permeability`;
CREATE TABLE `permeability` (
  `id` int(11) NOT NULL auto_increment,
  `testcase` int(11) NOT NULL default '0',
  `timestamp` timestamp(14) NOT NULL,
  `well` int(11) NOT NULL default '0',
  `value` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `sensorvalue`
#

DROP TABLE IF EXISTS `sensorvalue`;
CREATE TABLE `sensorvalue` (
  `id` int(11) NOT NULL auto_increment,
  `testcase` int(11) NOT NULL default '0',
  `time` int(11) NOT NULL default '0',
  `component` int(11) NOT NULL default '0',
  `type` enum('sand','water', 'production') NOT NULL default 'sand',
  `value` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `testcase`
#

DROP TABLE IF EXISTS `testcase`;
CREATE TABLE `testcase` (
  `id` int(11) NOT NULL auto_increment,
  `rerun` int(11) NOT NULL default '-1',
  `timestamp` timestamp(14) NOT NULL,
  `wellcount` int(11) NOT NULL default '3',
  `timelimit` int(11) NOT NULL default '100',
  `timetick_interval` int(11) NOT NULL default '1000',
  `mode` enum('AGENT','MANUAL') NOT NULL default 'AGENT',
  `comment` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `criticalsituation`
#

DROP TABLE IF EXISTS `criticalsituation`;
CREATE TABLE `criticalsituation` (
  `id` int(11) NOT NULL auto_increment,
  `testcase` int(11) NOT NULL default '0',
  `time` int(11) NOT NULL default '0',
  `component` int(11) NOT NULL default '0',
  `value` float NOT NULL,
  `text` varchar(200),
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `alarm`
#

DROP TABLE IF EXISTS `alarm`;
CREATE TABLE `alarm` (
  `id` int(11) NOT NULL auto_increment,
  `testcase` int(11) NOT NULL default '0',
  `time` int(11) NOT NULL default '0',
  `component` int(11) NOT NULL default '0',
  `value` float NOT NULL,
  `text` varchar(200),
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

