package simulator.constants;

/**
 * Enum for the types of sensors found in the system
 * 
 * @author Lene Hallen
 * @author Lise Engmo
 */
public enum SensorType {

	PRODUCTION("production"),
	OIL("oil"),
	WATER("water"),
	SAND("sand");
	
	private String name;
	
	private SensorType(String name){
		this.name = name;
	}
	
	public String getName() {
		return name;
	}
}
